nvme_generate_tls_key_identity_compat(2)

NAME
nvme_generate_tls_key_identity_compat - Generate the TLS key identity

SYNOPSIS
char * nvme_generate_tls_key_identity_compat (const char *hostnqn , const char *subsysnqn , int version , int hmac , unsigned char *configured_key , int key_len );

ARGUMENTS

hostnqn
    Host NVMe Qualified Name

subsysnqn
    Subsystem NVMe Qualified Name

version
    Key version to use

hmac
    HMAC algorithm

configured_key
    Configured key data to derive the key from

key_len
    Length of configured_key

DESCRIPTION
Derives a 'retained' TLS key as specified in NVMe TCP and generate the corresponding TLs identity. This version differs from nvme_generate_tls_key_identity in that it uses the original implementation for HKDF-Expand-Label which does not prefix the 'info' and 'label' string with the length.

RETURN
The string containing the TLS identity. It is the responsibility of the caller to free the returned string.